Loading...
Searching...
No Matches
OgreMatrix4.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMatrix3.h"`
`#include "OgreVector.h"`

## Classes

class | Ogre::Affine3
| Transform specialization for 3D Affine - encapsulating a 3x4 Matrix. More...
class | Ogre::Matrix4
| Transform specialization for projective - encapsulating a 4x4 Matrix. More...
class | Ogre::TransformBase< rows, T >
| Class encapsulating a standard 4x4 homogeneous matrix. More...
struct | Ogre::TransformBaseReal

## Namespaces

namespace | Ogre

## Functions

Affine3 | Ogre::operator* (const Affine3 &m, const Affine3 &m2)
Vector3 | Ogre::operator* (const Affine3 &m, const Vector3 &v)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
Vector4 | Ogre::operator* (const Affine3 &m, const Vector4 &v)
Matrix4 | Ogre::operator* (const Matrix4 &m, const Matrix4 &m2)
Vector3 | Ogre::operator* (const Matrix4 &m, const Vector3 &v)
| Vector transformation using '*'.
Vector4 | Ogre::operator* (const Matrix4 &m, const Vector4 &v)
Vector4 | Ogre::operator* (const Vector4 &v, const Matrix4 &mat)
Matrix4 | Ogre::operator+ (const Matrix4 &m, const Matrix4 &m2)
| Matrix addition.
Matrix4 | Ogre::operator- (const Matrix4 &m, const Matrix4 &m2)
| Matrix subtraction.